Skip to content

Delete group

DELETE/directory/user-groups/{groupId}

Common API · Directory Management

Deletes the specified group.

Required permissiontenant-directory.user-group:delete

Parameters

Name In Type Required Description
X-Tenant-ID header string (uuid) Yes Tenant ID.
groupId path string (uuid) Yes Group ID.

Request samples

curl -X DELETE "https://api-<data-region>.central.sophos.com/common/v1/directory/user-groups/<groupId>" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"

import requests

response = requests.delete(
    "https://api-<data-region>.central.sophos.com/common/v1/directory/user-groups/<groupId>",
    headers={
        "Authorization": "Bearer <access-token>",
        "X-Tenant-ID": "<tenant-id>",
    },
)
print(response.json())

$headers = @{
    "Authorization" = "Bearer <access-token>"
    "X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method DELETE -Uri "https://api-<data-region>.central.sophos.com/common/v1/directory/user-groups/<groupId>" -Headers $headers

package main

import (
    "fmt"
    "io"
    "net/http"
)

func main() {
    req, err := http.NewRequest("DELETE", "https://api-<data-region>.central.sophos.com/common/v1/directory/user-groups/<groupId>", nil)
    if err != nil {
        panic(err)
    }
    req.Header.Set("Authorization", "Bearer <access-token>")
    req.Header.Set("X-Tenant-ID", "<tenant-id>")

    resp, err := http.DefaultClient.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()

    body, _ := io.ReadAll(resp.Body)
    fmt.Println(string(body))
}

const response = await fetch("https://api-<data-region>.central.sophos.com/common/v1/directory/user-groups/<groupId>", {
  method: "DELETE",
  headers: {
    "Authorization": "Bearer <access-token>",
    "X-Tenant-ID": "<tenant-id>",
  },
});
const data = await response.json();
console.log(data);

Responses

200 — Group deleted.

Response fields

deletedbooleanrequired

Errors

Status Meaning
409 You can only delete empty groups with no members. You also can't use this API to delete groups synced from Active Directory.
500 Internal server error.

All error responses share the same shape — see the error response object.

Response examples

200

{
  "deleted": true
}